Package Details: rodeo 2.5.2-4

Git Clone URL: https://aur.archlinux.org/rodeo.git (read-only)
Package Base: rodeo
Description: A data science IDE for Python
Upstream URL: https://www.yhat.com/products/rodeo
Keywords: ide python
Licenses: AGPL3
Submitter: xgdgsc
Maintainer: chendaniely
Last Packager: chendaniely
Votes: 9
Popularity: 0.658395
First Submitted: 2015-12-19 10:34
Last Updated: 2017-01-18 23:17

Latest Comments

chendaniely commented on 2016-10-11 20:54

fusion809 I just reported that as an issue [1].

I'm rolling back the version number now.

Thanks!


[1] https://github.com/yhat/rodeo/issues/499

fusion809 commented on 2016-10-11 16:02

The present download URL (i.e., https://github.com/yhat/rodeo/releases/download/v2.4.3/rodeo-2.4.3.deb) is non-existent. This is because 2.4.3 is a Windows-only bug-fix release, per the release notes: https://github.com/yhat/rodeo/releases/v2.4.3.

chendaniely commented on 2016-09-12 22:34

Thanks fusion809:

I just inherited the package from xgdgsc and so, changing the version number and md5sums just stopped working.

Sorry for the delay everyone. I incorporated fusion809's PKGBUILD and updated to 2.2.0

- Dan

fusion809 commented on 2016-09-11 20:13

I have a fixed PKGBUILD, but I'm not the maintainer, so I can't submit this update myself. But until its maintainer manages to get around to submitting this fixed PKGBUILD, you can use mine:

# Maintainer: xgdgsc <xgdgsc@gmail.com>
# Contributor: Brenton Horne <brentonhorne77@gmail.com>

pkgname=rodeo
pkgver=2.1.4
pkgrel=2
pkgdesc="A data science IDE for Python"
url='https://www.yhat.com/products/rodeo'
arch=('x86_64')
depends=('jupyter' 'gconf')
license=('AGPL3')
install=rodeo.install
md5sums_x86_64=('5484b763efcd9da4414be3a34d6c2907')
source_x86_64=("https://github.com/yhat/rodeo/releases/download/v$pkgver/rodeo-$pkgver.deb")

build() {
cd "${srcdir}"
# bsdtar should be used, instead of tar, as makepkg uses it to decompress
# archives, so it's automatically available
bsdtar -xf data.tar.gz
}

package() {
mv "$srcdir/usr" "$pkgdir"
mv "$srcdir/opt" "$pkgdir"
}

linux-neophyte commented on 2016-09-11 20:09

Any new updates on this? I'm also having trouble installing this app.

fusion809 commented on 2016-09-07 04:59

It's very simple, chendaniely. If you use an archive managing program like Ark you can see that the v2.1.4 deb package contains these files:

1. control.tar.gz
2. data.tar.gz
3. debian-binary

the error building this package is giving me, at least, is:

==> Extracting sources...
-> Extracting rodeo-2.1.4.deb with bsdtar
==> Removing existing $pkgdir/ directory...
==> Starting build()...
tar: data.tar.xz: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now

Your PKGBUILD is trying to extract a file in the deb package called data.tar.xz, which is a mistake as it doesn't exist it should be trying to extract a file that does exist like data.tar.gz.

chendaniely commented on 2016-09-07 03:54

Seems the v2.1.4 isn't building. Anyone have any ideas?

chendaniely commented on 2016-08-09 21:22

Thanks xgdgsc for getting all the hard work done. I've adopted the package.

xgdgsc commented on 2016-07-23 01:38

This seems updated very frequently. Anyone interested in co-maintain this?